Bug 164865 - clamav doesn't start after update to 86.2-2
clamav doesn't start after update to 86.2-2
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-08-01 20:44 EDT by Phil Anderson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-02 20:39:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Phil Anderson 2005-08-01 20:44:32 EDT
Description of problem:
When starting clamav after updating to 86.2-2, the following error is printed to
the console, and clamav doesn't start.  Note that --timeout is not listed in

/usr/sbin/clamav-milter: --timeout must not be given if --external is not given

Version-Release number of selected component (if applicable):
86.2-2 and 86.2-3.  Downgrading to 86.1-2 fixes the problem.

How reproducible:

Here is the contents of my /etc/sysconfig/clamav-milter:
## The '-blo' options might be usefully here -- especially for testing; see
## "man 8 clamav-milter" for further options
CLAMAV_FLAGS='-q -l -A --max-children=2 -c /etc/clamd.d/milter.conf
Comment 1 Phil Anderson 2005-08-02 20:39:00 EDT
Upgrade to 0.86.2-4 fixes this:

* Sat Jul 30 2005 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0.86.2-4

- [milter] create the milter-logfile in the %post scriptlet
- [milter] reverted the change of the default child_timeout value; it
  was set to 5 minutes in 0.86.2 which conflicts with the internal
  mode where a timeout must not be set. So, the clamav-milter would
  not run with the default configuration

Note You need to log in before you can comment on or make changes to this bug.